#!/usr/bin/sudo /bin/bash
#exit 0
#functions
RunTWAfterInternetOK()
{
        #start teamviewer
        PING_RES=1
        while [ 0 -ne $PING_RES ]; do
                echo "Waiting for internet connection..."
                ping -c 1 www.google.com
                PING_RES=$?
                sleep 2
        done
        echo "Please wait...starting teamviewer"
        sleep 5

        #na koncu zazenemo teamviewer
        ps -A|grep TeamViewer.exe 2>/dev/null 1>/dev/null; [ 0 -eq $? ] || sudo -u knoppix /ROULETTE/teamviewer6/teamviewer_restart &
}


sudo xhost +local:
export DISPLAY=:0.0

ps -A|grep roulettemaster 2>/dev/null 1>/dev/null; [ 0 -eq $? ] && { 
  echo "RouletteMaster is already running..attaching to window..."
  lxterminal --command="screen -d -RR" --title="RouletteMaster console" --geometry=110x45 &
  exit 0
}

echo "Starting RouletteMaster"

service network-manager stop

#nalozimo module tun - za OpenVPN v FC5
modprobe tun

#obsolete cat /FC5/etc/resolv.conf > /etc/resolv.conf
ln -f /FC5/etc/resolv.conf /etc/resolv.conf

aumix -v100 -w100 -W100 -i100 -l100
sleep 1

/ROULETTE/vnc-server-keepalive.sh & #startamo vnc server v ozadje na port-u 5900

mkdir -p /tftpboot
mkdir -p /ClientRoot
mkdir -p /data
mount --bind /FC5/tftpboot /tftpboot
mount --bind /FC5/ClientRoot /ClientRoot
mount --bind /FC5/data /data
ln -snf /data/ClientHome /ClientHome


service dhcp3-server stop
service tftpd-hpa stop

#local nfs service, ker so bile tezave z nfs iz fedore
service portmap start
sleep 1
exportfs -a
exportfs
service nfs-common start
service nfs-kernel-server start

mount --bind /proc /FC5/proc
mount --bind /dev /FC5/dev
mount --bind /sys /FC5/sys
mkdir -p /FC5/lib/modules/`uname -r`
mount --bind /lib/modules/`uname -r` /FC5/lib/modules/`uname -r`

if [ -d /UNIONFS/etc ]; then
   echo "Running from live CD, must install before running roulette."
   echo "Starting network with dhcp settings..."
   dhclient eth0 eth1 &
#   chroot /FC5 dhclient eth0 eth1 &
#   chroot /FC5 /sbin/service network start 
   echo
   echo "Starting installer"
   /usr/sbin/0wn &
   RunTWAfterInternetOK
   exit 0
fi

echo "This system is installed to HD"


#zazenemo ruleto v /FC5
lxterminal --command="screen chroot /FC5 /init_fc5.sh" --title="RouletteMaster console" --geometry=110x45 &

sleep 2
#ce nismo bili uspesni z zagonom terminala, potem zazenemo samo da tece
ps -A|grep lxterminal 2>/dev/null 1>/dev/null; [ 0 -eq $? ] || nohup chroot /FC5 /init_fc5.sh

echo "RouletteMaster chroot environment was started and running..."
echo `date`": Roulette POWER ON">>/FC5/boot.log
sleep 20

#zazenemo roulette daemon-a, in nadaljujemo, sleep 120 mora biti, da master na zacetku preveri ali so se postaje povezale in jih v nasprotnem primeru restart-a
export WINEPREFIX="/home/knoppix/.wine";
su knoppix -c "sleep 120; nohup wine \"C:\\Program Files\\Pope\\RouletteDeamon.exe\" 2>/dev/null 1>/dev/null" &

RunTWAfterInternetOK
sleep 5 #pocakamo zagon tw-ja

if [ -f /ROULETTE/teamviewer6/profile/system.reg ]; then
echo $((0x`cat /ROULETTE/teamviewer6/profile/system.reg |grep ClientID|cut -c 18-`)) > /FC5/RouletteMaster/TEAMVIEWER_ID
fi

if [ -f /ROULETTE/teamviewer7/profile/system.reg ]; then
echo $((0x`cat /ROULETTE/teamviewer7/profile/system.reg |grep ClientID|cut -c 1
8-`)) > /FC5/RouletteMaster/TEAMVIEWER_ID
fi

#moramo resetirati firewall, ko sta se kartici aktivirali sicer nagaja
firewall stop
sleep 1
firewall start

# /ROULETTE/roulettesnd.sh start #zazenemo roulettesnd v knoppix okolju, ker v FC5 nagaja sound - je scrambled

exit 0
